
#ifndef _PLATFORM_H_
#define _PLATFORM_H_



//RJA Define SPI interface pins here
//RJA's P2 Board1
#define FT800_CS                                (30)
#define FT800_INT                               (28)
#define FT800_PD_N                              (31)
#define FT800_SEL_PIN           FT800_CS
//RJA adding more pins
#define FT800_MOSI   (24)
#define FT800_MISO   (25)
#define FT800_CLK    (29)

////RJA Define SPI interface pins here
////P2 Eval board with EVE3->VGA adapter on basepin=0
//#define FT800_CS                                (0+5)
//#define FT800_INT                               (0+7) //not actually connected on RJA's makeshift adapter
//#define FT800_PD_N                              (0+6)
//#define FT800_SEL_PIN           FT800_CS
////RJA adding more pins
//#define FT800_MOSI								(0+0)
//#define FT800_MISO								(0+1)
//#define FT800_CLK								(0+4)
//#define FT800_IO2								(0+2)
//#define FT800_IO3								(0+3)

//Pick one or none of these to say where files might come from
#define USE_SD
//#define USE_HOST


//typedef boolean bool_t;
#define TRUE     (1)
#define FALSE    (0)

#include "propeller2.h"

#include "stdio.h"
#include "stdlib.h"

////RJA:  Redefine uSD pins if necessary
//#define pin_sd_miso 44
//#define pin_sd_mosi 46
//#define pin_sd_cs 47
//#define pin_sd_clk 45
//#define PIN_SS   pin_sd_cs//60
//#define PIN_MOSI pin_sd_mosi//59
//#define PIN_MISO pin_sd_miso//58
//#define PIN_CLK  pin_sd_clk//61

#include "stdint.h"


//RJA:  A lot of types not defined in FlexC...  Also removed a lot of "prog", Arduino specific type stuff throughout

//typedef char  byte;
//typedef unsigned char uchar;
//typedef char		bool_t;
//typedef char		char8_t;
//typedef unsigned char	uchar8_t;
//typedef unsigned char prog_uchar8_t;
//typedef signed char	schar8_t;
//typedef float		float_t;




#endif /*_PLATFORM_H_*/
/* Nothing beyond this*/




